
From: Paul Mackerras <paulus@samba.org>

Moves a misplaced of_node_put().  In the existing code, the node in
question is used just after its refcount is decremented.

Signed-off-by: John Rose <johnrose@austin.ibm.com>
Signed-off-by: Paul Mackerras <paulus@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/pSeries_pci.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc64/kernel/pSeries_pci.c~ppc64-isa-device-tree-node-refcount-fix arch/ppc64/kernel/pSeries_pci.c
--- 25/arch/ppc64/kernel/pSeries_pci.c~ppc64-isa-device-tree-node-refcount-fix	Thu Jul 29 15:17:29 2004
+++ 25-akpm/arch/ppc64/kernel/pSeries_pci.c	Thu Jul 29 15:17:29 2004
@@ -284,10 +284,10 @@ static void __init pci_process_bridge_OF
 				isa_dn = of_find_node_by_type(NULL, "isa");
 				if (isa_dn) {
 					isa_io_base = pci_io_base;
-					of_node_put(isa_dn);
 					pci_process_ISA_OF_ranges(isa_dn,
 						hose->io_base_phys,
 						hose->io_base_virt);
+					of_node_put(isa_dn);
                                         /* Allow all IO */
                                         io_page_mask = -1;
 				}
_
